/**
 * 
 */
package org.springblade.config;

import org.springblade.core.config.SwaggerConfiguration;
import org.springblade.core.constant.AppConstant;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import springfox.documentation.spring.web.plugins.Docket;
import springfox.documentation.swagger2.annotations.EnableSwagger2WebMvc;

/**
 * @author wookvn
 *
 */
@Configuration
@EnableSwagger2WebMvc
public class SwaggerConfig extends SwaggerConfiguration {

	@Bean
	public Docket financeDocket() {
		return docket("财务渠道结算", AppConstant.BASE_PACKAGES + ".finance");
	}

	@Bean
	public Docket capcancelDocket() {
		return docket("cap数据管理", AppConstant.BASE_PACKAGES + ".capcancel");
	}

	@Bean
	public Docket auditDocket() {
		return docket("上传审核管理", AppConstant.BASE_PACKAGES + ".audit");
	}

	@Bean
	public Docket prizeDocket() {
		return docket("奖品管理", AppConstant.BASE_PACKAGES + ".prize");
	}

	@Bean
	public Docket channelDocket() {
		return docket("渠道管理", AppConstant.BASE_PACKAGES + ".channel");
	}

	@Bean
	public Docket productDocket() {
		return docket("产品管理", AppConstant.BASE_PACKAGES + ".product");
	}

	@Bean
	public Docket activityDocket() {
		return docket("活动管理", AppConstant.BASE_PACKAGES + ".activity");
	}

	@Bean
	public Docket responsibleDocket() {
		return docket("负责人管理", AppConstant.BASE_PACKAGES + ".responsible");
	}

	@Bean
	public Docket complaintsDocket() {
		return docket("客诉管理", AppConstant.BASE_PACKAGES + ".complaints");
	}

	@Bean
	public Docket bignetDocket() {
		return docket("大网数据管理", AppConstant.BASE_PACKAGES + ".bignet");
	}

	@Bean
	public Docket customerDocket() {
		return docket("客服数据管理", AppConstant.BASE_PACKAGES + ".customer");
	}

	@Bean
	public Docket importsDocket() {
		return docket("导入报表", AppConstant.BASE_PACKAGES + ".imports");
	}

	@Bean
	public Docket extractionDocket() {
		return docket("数据提取", AppConstant.BASE_PACKAGES + ".dataextraction");
	}
}
